## mpegvideoparse mpegvideoparse |

## Properties

gboolean | drop | Read / Write / Construct
gboolean | gop-split | Read / Write / Construct

## Types and Values

struct | GstMpegvParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstMpegvParse

## Description

## Synopsis

### Element Information

plugin | videoparsersbad
author | Wim Taymans <wim.taymans@ccollabora.co.uk>, Jan Schmidt <thaytan@mad.scientist.com>, Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>
class | Codec/Parser/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/mpeg, mpegversion=(int)[ 1, 2 ], systemstream=(boolean)false

name | src
direction | source
presence | always
details | video/mpeg, mpegversion=(int)[ 1, 2 ], parsed=(boolean)true, systemstream=(boolean)false

## Functions

## Types and Values

### struct GstMpegvParse

    struct GstMpegvParse;

## Property Details

### The `“drop”` property

      “drop”                     gboolean

Drop data untill valid configuration data is received either in the stream or through caps.

Flags: Read / Write / Construct

Default value: TRUE

### The `“gop-split”` property

      “gop-split”                gboolean

Split frame when encountering GOP.

Flags: Read / Write / Construct

Default value: FALSE